Changeset 1442 for ThirdParty/Glpk


Ignore:
Timestamp:
Nov 7, 2009 12:39:18 PM (10 years ago)
Author:
stefan
Message:

synchronize with trunk rev 1441: use glpk 4.40

Location:
ThirdParty/Glpk/stable/1.6
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Glpk/stable/1.6/INSTALL.Glpk

    r1390 r1442  
    1414You may download
    1515
    16 ftp://ftp.gnu.org/gnu/glpk/glpk-4.39.tar.gz
     16ftp://ftp.gnu.org/gnu/glpk/glpk-4.40.tar.gz
    1717
    1818and unpack it in this directory:
    1919
    20 gunzip glpk-4.39.tar.gz
    21 tar xf glpk-4.39.tar
     20gunzip glpk-4.40.tar.gz
     21tar xf glpk-4.40.tar
    2222
    2323Then you need to rename the directory
    24   glpk-4.39
     24  glpk-4.40
    2525into
    2626  glpk
  • ThirdParty/Glpk/stable/1.6/Makefile.am

    r1411 r1442  
    3737$(GLPKDIR)/src/glpapi18.c \
    3838$(GLPKDIR)/src/glpapi19.c \
     39$(GLPKDIR)/src/glpapi20.c \
    3940$(GLPKDIR)/src/glpavl.c \
    4041$(GLPKDIR)/src/glpbfd.c \
     
    9596$(GLPKDIR)/src/glpnet06.c \
    9697$(GLPKDIR)/src/glpnet07.c \
     98$(GLPKDIR)/src/glpnet08.c \
    9799$(GLPKDIR)/src/glpnpp01.c \
    98100$(GLPKDIR)/src/glpnpp02.c \
  • ThirdParty/Glpk/stable/1.6/Makefile.in

    r1411 r1442  
    7878        glpapi09.lo glpapi10.lo glpapi11.lo glpapi12.lo glpapi13.lo \
    7979        glpapi14.lo glpapi15.lo glpapi16.lo glpapi17.lo glpapi18.lo \
    80         glpapi19.lo glpavl.lo glpbfd.lo glpbfx.lo glpcpx.lo glpdmp.lo \
    81         glpdmx.lo glpfhv.lo glpgmp.lo glphbm.lo glpini01.lo \
    82         glpini02.lo glpios01.lo glpios02.lo glpios03.lo glpios04.lo \
    83         glpios05.lo glpios06.lo glpios07.lo glpios08.lo glpios09.lo \
    84         glpios10.lo glpipm.lo glpipp01.lo glpipp02.lo glplib01.lo \
    85         glplib02.lo glplib03.lo glplib04.lo glplib05.lo glplib06.lo \
    86         glplib07.lo glplib08.lo glplib09.lo glplib10.lo glplib11.lo \
    87         glplib12.lo glplpf.lo glplpx01.lo glplpx02.lo glplpx03.lo \
    88         glplpx04.lo glpluf.lo glplux.lo glpmat.lo glpmpl01.lo \
    89         glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo glpmpl06.lo \
    90         glpmps.lo glpnet01.lo glpnet02.lo glpnet03.lo glpnet04.lo \
    91         glpnet05.lo glpnet06.lo glpnet07.lo glpnpp01.lo glpnpp02.lo \
    92         glpnpp03.lo glpqmd.lo glprgr.lo glprng01.lo glprng02.lo \
    93         glpscf.lo glpscg.lo glpscl.lo glpsdf.lo glpspm.lo glpspx01.lo \
    94         glpspx02.lo glpsql.lo glpssx01.lo glpssx02.lo amd_1.lo \
    95         amd_2.lo amd_aat.lo amd_control.lo amd_defaults.lo amd_dump.lo \
    96         amd_info.lo amd_order.lo amd_postorder.lo amd_post_tree.lo \
     80        glpapi19.lo glpapi20.lo glpavl.lo glpbfd.lo glpbfx.lo \
     81        glpcpx.lo glpdmp.lo glpdmx.lo glpfhv.lo glpgmp.lo glphbm.lo \
     82        glpini01.lo glpini02.lo glpios01.lo glpios02.lo glpios03.lo \
     83        glpios04.lo glpios05.lo glpios06.lo glpios07.lo glpios08.lo \
     84        glpios09.lo glpios10.lo glpipm.lo glpipp01.lo glpipp02.lo \
     85        glplib01.lo glplib02.lo glplib03.lo glplib04.lo glplib05.lo \
     86        glplib06.lo glplib07.lo glplib08.lo glplib09.lo glplib10.lo \
     87        glplib11.lo glplib12.lo glplpf.lo glplpx01.lo glplpx02.lo \
     88        glplpx03.lo glplpx04.lo glpluf.lo glplux.lo glpmat.lo \
     89        glpmpl01.lo glpmpl02.lo glpmpl03.lo glpmpl04.lo glpmpl05.lo \
     90        glpmpl06.lo glpmps.lo glpnet01.lo glpnet02.lo glpnet03.lo \
     91        glpnet04.lo glpnet05.lo glpnet06.lo glpnet07.lo glpnet08.lo \
     92        glpnpp01.lo glpnpp02.lo glpnpp03.lo glpqmd.lo glprgr.lo \
     93        glprng01.lo glprng02.lo glpscf.lo glpscg.lo glpscl.lo \
     94        glpsdf.lo glpspm.lo glpspx01.lo glpspx02.lo glpsql.lo \
     95        glpssx01.lo glpssx02.lo amd_1.lo amd_2.lo amd_aat.lo \
     96        amd_control.lo amd_defaults.lo amd_dump.lo amd_info.lo \
     97        amd_order.lo amd_postorder.lo amd_post_tree.lo \
    9798        amd_preprocess.lo amd_valid.lo colamd.lo
    9899libcoinglpk_la_OBJECTS = $(nodist_libcoinglpk_la_OBJECTS)
     
    285286$(GLPKDIR)/src/glpapi18.c \
    286287$(GLPKDIR)/src/glpapi19.c \
     288$(GLPKDIR)/src/glpapi20.c \
    287289$(GLPKDIR)/src/glpavl.c \
    288290$(GLPKDIR)/src/glpbfd.c \
     
    343345$(GLPKDIR)/src/glpnet06.c \
    344346$(GLPKDIR)/src/glpnet07.c \
     347$(GLPKDIR)/src/glpnet08.c \
    345348$(GLPKDIR)/src/glpnpp01.c \
    346349$(GLPKDIR)/src/glpnpp02.c \
     
    512515@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi18.Plo@am__quote@
    513516@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi19.Plo@am__quote@
     517@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpapi20.Plo@am__quote@
    514518@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpavl.Plo@am__quote@
    515519@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpbfd.Plo@am__quote@
     
    570574@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet06.Plo@am__quote@
    571575@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet07.Plo@am__quote@
     576@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnet08.Plo@am__quote@
    572577@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp01.Plo@am__quote@
    573578@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glpnpp02.Plo@am__quote@
     
    742747@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi19.lo `test -f '$(GLPKDIR)/src/glpapi19.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi19.c
    743748
     749glpapi20.lo: $(GLPKDIR)/src/glpapi20.c
     750@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpapi20.lo -MD -MP -MF "$(DEPDIR)/glpapi20.Tpo" -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c; \
     751@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpapi20.Tpo" "$(DEPDIR)/glpapi20.Plo"; else rm -f "$(DEPDIR)/glpapi20.Tpo"; exit 1; fi
     752@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpapi20.c' object='glpapi20.lo' libtool=yes @AMDEPBACKSLASH@
     753@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     754@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpapi20.lo `test -f '$(GLPKDIR)/src/glpapi20.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpapi20.c
     755
    744756glpavl.lo: $(GLPKDIR)/src/glpavl.c
    745757@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpavl.lo -MD -MP -MF "$(DEPDIR)/glpavl.Tpo" -c -o glpavl.lo `test -f '$(GLPKDIR)/src/glpavl.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpavl.c; \
     
    11471159@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    11481160@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet07.lo `test -f '$(GLPKDIR)/src/glpnet07.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet07.c
     1161
     1162glpnet08.lo: $(GLPKDIR)/src/glpnet08.c
     1163@am__fastdepCC_TRUE@    if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT glpnet08.lo -MD -MP -MF "$(DEPDIR)/glpnet08.Tpo" -c -o glpnet08.lo `test -f '$(GLPKDIR)/src/glpnet08.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet08.c; \
     1164@am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/glpnet08.Tpo" "$(DEPDIR)/glpnet08.Plo"; else rm -f "$(DEPDIR)/glpnet08.Tpo"; exit 1; fi
     1165@AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$(GLPKDIR)/src/glpnet08.c' object='glpnet08.lo' libtool=yes @AMDEPBACKSLASH@
     1166@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1167@am__fastdepCC_FALSE@   $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o glpnet08.lo `test -f '$(GLPKDIR)/src/glpnet08.c' || echo '$(srcdir)/'`$(GLPKDIR)/src/glpnet08.c
    11491168
    11501169glpnpp01.lo: $(GLPKDIR)/src/glpnpp01.c
  • ThirdParty/Glpk/stable/1.6/configure

    r1418 r1442  
    2008920089  echo "$as_me:$LINENO: result: ${majorver}.${minorver}" >&5
    2009020090echo "${ECHO_T}${majorver}.${minorver}" >&6
    20091   if test x$majorver != x4 || test x$minorver != x39 ; then
    20092     { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK\"" >&5
    20093 echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK\"" >&2;}
     20091  if test x$majorver != x4 || test x$minorver != x40 ; then
     20092    { { echo "$as_me:$LINENO: error: \"Incorrect GLPK version. This build system is made for GLPK 4.40. Please update by rerunning get.GLPK\"" >&5
     20093echo "$as_me: error: \"Incorrect GLPK version. This build system is made for GLPK 4.40. Please update by rerunning get.GLPK\"" >&2;}
    2009420094   { (exit 1); exit 1; }; }
    2009520095  fi
  • ThirdParty/Glpk/stable/1.6/configure.ac

    r1418 r1442  
    7474  minorver=`awk '/define GLP_MINOR_VERSION/ {print $3}' ${GLPKINCDIR}/glpk.h`
    7575  AC_MSG_RESULT([${majorver}.${minorver}])
    76   if test x$majorver != x4 || test x$minorver != x39 ; then
    77     AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.39. Please update by rerunning get.GLPK"])
     76  if test x$majorver != x4 || test x$minorver != x40 ; then
     77    AC_MSG_ERROR(["Incorrect GLPK version. This build system is made for GLPK 4.40. Please update by rerunning get.GLPK"])
    7878  fi
    7979else
  • ThirdParty/Glpk/stable/1.6/get.Glpk

    r1390 r1442  
    22
    33set -e
    4 glpk_ver=4.39
     4glpk_ver=4.40
    55
    66wgetcmd=wget
  • ThirdParty/Glpk/stable/1.6/glpk.patch

    r1413 r1442  
    1010          case GLP_ECOND:
    1111          case GLP_EBOUND:  ret = LPX_E_FAULT;   break;
    12 --- glpk/src/glpnpp02.c.orig    2009-09-17 17:35:48.000000000 +0200
    13 +++ glpk/src/glpnpp02.c 2009-09-17 17:36:06.000000000 +0200
    14 @@ -805,7 +805,7 @@
    15        /* fix the column */
    16        if (col->lb == -DBL_MAX && col->ub == +DBL_MAX)
    17        {  /* free variable */
    18 -         info->stat = GLP_NS;
    19 +         info->stat = GLP_NF;
    20           col->lb = col->ub = 0.0;
    21        }
    22        else if (col->ub == +DBL_MAX)
Note: See TracChangeset for help on using the changeset viewer.